Subject: Re: What's cooking in git.git (Jul 2025, #02; Mon, 7)

From: Johannes Sixt <[email-masked]>
Date: Wed, 9 Jul 2025 17:04:51 +0200

Am 09.07.25 um 12:41 schrieb Carlo Marcelo Arenas Belón:
> CC: Johannes Sixt on feedback for SIGCHLD in mingw which uses 17 instead
>     of 22 (cygwin and others) and therefore seem to cause signal to err
>     without setting errno as it should.

I don't know what the relevance of the actual number of a signal is.
Nobody is supposed to use the number, only the macro. But I may be
misjudging the situation as a bystander of this discussion.

Furthermore, there is no such thing as "a signal" on Windows (outside of
Cygwin), let alone a SIGCHLD. Therefore, this topic about SA_RESTART is
irrelevant for the MinGW port.

That said, we have a very stupid emulation of SIGALRM, but it doesn't
work like a POSIX signal in any way (if it works at all).

-- Hannes